IDableGraphComponent< BAS > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IDableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::IDableGraphComponent< BAS >

This class describes the interface of idable undirected graphs. It extends IDableDigraphComponent with the core ID functions of undirected graphs. The ids of the items must be unique and immutable. This concept is part of the Graph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for IDableGraphComponent< BAS >:
[legend]

## Public Member Functions
int | id (const Edge &) const
| Return a unique integer id for the given edge. More...
Edge | edgeFromId (int) const
| Return the edge by its unique id. More...
int | maxEdgeId () const
| Return an integer greater or equal to the maximum edge id. More...
Public Member Functions inherited from IDableDigraphComponent< BAS >
int | id (const Node &) const
| Return a unique integer id for the given node. More...
Node | nodeFromId (int) const
| Return the node by its unique id. More...
int | id (const Arc &) const
| Return a unique integer id for the given arc. More...
Arc | arcFromId (int) const
| Return the arc by its unique id. More...
int | maxNodeId () const
| Return an integer greater or equal to the maximum node id. More...
int | maxArcId () const
| Return an integer greater or equal to the maximum arc id. More...

## Member Function Documentation

int id | ( | const Edge & |  | ) | const
| inline

This function returns a unique integer id for the given edge.

Edge edgeFromId | ( | int |  | ) | const
| inline

This function returns the edge by its unique id. If the graph does not contain an edge with the given id, then the result of the function is undefined.

int maxEdgeId | ( |  | ) | const
| inline

This function returns an integer greater or equal to the maximum edge id.